intactXML2Graph {Rintact} | R Documentation

## A function that takes a vector of IntAct XML file names and converts them to graph objects.

### Description

The `intactXML2Graph` takes in a vector of related XML files and generates a graph object based on the type of XML file. In general, the entry of this function should be that data from one experiment (this data might be divided into several XML files). If the XML file contains data that should not be combined into one single graph, this function should not be called; the function `separateXMLDataByExpt` should be used instead.

### Usage

    intactXML2Graph(intactFiles, type="interaction", directed=TRUE)

### Arguments

`intactFiles` | A vector of IntAct XML file names. If the data of a single experiment has been split into multiple XML files (e.g. Ewing et al 2007), then each entry of the vector should contain one of these XML files. NB - different datasets should not be put into the same vector.
`type` | A character string which is either "interaction" if the XML file contains experimental physical data or "complex" if the XML file contains curated protein complex membership data.
`directed` | A logical. User defined parameter so that the return value with either be a directed or undirected graph object.

### Value

If type = "interaction," then a resulting intactGraph object is genertated on the aggregate of the XML files. If type = "complex," then a resulting intactHyperGraph object is generated on the aggregate of the XML files.

### Author(s)

T Chiang

### References

Rintact: enabling computational analysis of molecular interaction data from the IntAct repository - Tony Chiang; Nianhua Li; Sandra Orchard; Samuel Kerrien; Henning Hermjakob; Robert Gentleman; Wolfgang Huber Bioinformatics 2007; doi: 10.1093/bioinformatics/btm518.

### See Also

`interactionEntry-class`, `complexEntry-class`, `separateXMLDataByExpt`

[Package Rintact version 1.4.0 Index]